--- title: "User stop settings" slug: "game-gamepot-userblockpost" tags: ["GAMEPOT"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/game-gamepot-userblockpost" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # User stop settings **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** User is suspended by user UID. ## Request ``` POST https://dashboard-api.gamepot.ntruss.com/v1/api/project/{projectId}/user/{userId}/block ``` | Item | type | Required | Explanation | Remark | | --- | --- | --- | --- | --- | | projectId | String | O | ProjectId in GamePot SDK | | | userId | String | O | UserId of GamePot SDK | | ### Request header | Header name | Required | Explanation | | --- | --- | --- | | x-api-key | O | Authentication key issued by GamePot | | content-type | O | Specify Request body content type as application / json | | accept-language | X | Language used | ### Request body | Item | type | Required | Explanation | Remark | | --- | --- | --- | --- | --- | | lang | String | O | Stop message language | | | value | String | O | Reason for suspension | | | default | Boolean | O | Setting the default language If the language value of the device is not in messageMulti, the message set as true is exposed by default. | true, false | | startedAt | String | O | Start date of suspension | `YYYY-MM-DD HH:mm` | | endedAt | String | O | End date of suspension | `YYYY-MM-DD HH:mm` | ## Answer | Field name | type | Explanation | | --- | --- | --- | | status | Int | Result (1: Success ) | | id | String | ID suspended | ## Example ### Request example ``` curl --request POST \ --url https://dashboard-api.gamepot.ntruss.com/v1/api/project/12a0f2ff-xxxx-xxxx-xxxx-9c13ef02f5fs/user/h43ea8e8-xxxx-xxxx-xxxx-531a46d25eef/block \ --header 'accept-language: ko' \ --header 'content-type: application/json' \ --header 'x-api-key: 86dcgffae0641745432as02a8801ce5a5475f764fxxxxxxxxx' --data '{ "messageMulti": [ { "lang": "ko", "value": "테스트-ko", "default": true } ], "startedAt": "2020-05-11 12:02", "endedAt": "2020-05-25 22:00" }' ``` ### Response example ``` { "status": 1, "result": { "memberBlock": { "id": "xxxxxxxxxxxxx" } } } ``` ## Error code Common error code that occurs when requesting Gamepot Open API. | parameter | Explanation | | --- | --- | | status | Error code (1: Refer to Error code in case of success or failure ) | | message | Error details | | Error code | Explanation | | --- | --- | | -1 | If you used a key that is not on the dashboard | | -2 | The key of the dashboard and the key of the header are different. | | -3 | When using a key deleted from the dashboard | | -4 | The dashboard used unused keys. | | -5 | If the key has expired | | -6 | If there is no project ID | ``` { "status": -6, "message": "projectId was wrong." } ``` This is the error code that occurs when the user stop setting API is requested. | Error code | Explanation | | --- | --- | | -11 | lack of data in body | | -12 | messageMulti value is not JSON Array | | -13 | If the format of the startedAt value is not correct, only `YYYY-MM-DD HH: mm` format is possible | | -14 | If the format of the endedAt value is incorrect, only `YYYY-MM-DD HH: mm` format is possible | | -15 | When the data format of the messageMulti value is incorrect | | -16 | When there is no default true or multiple of messageMulti value data | | -100 | For users who have already been suspended |